pydo.genai.create_workspace()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.genai.create_workspace(
    body={
        "agent_uuids": [...],
        "description": "example string",
        "name": "example name",
    },
)
Returns JSONRaises HttpResponseError

Description

To create a new workspace, send a POST request to /v2/gen-ai/workspaces. The response body contains a JSON object with the newly created workspace object.

Parameters

agent_uuids array of strings optional

Example: ['example string']

Ids of the agents(s) to attach to the workspace

description string optional

Example: example string

Description of the workspace

name string optional

Example: example name

Name of the workspace

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "agent_uuids": [
    "example string"
  ],
  "description": "example string",
  "name": "example name"
}

resp = client.genai.create_workspace(body=req)

Response Example

Show Response Example
{
  "workspace": {
    "agents": [],
    "created_at": "2023-01-01T00:00:00Z",
    "created_by": "12345",
    "created_by_email": "[email protected]",
    "deleted_at": "2023-01-01T00:00:00Z",
    "description": "example string",
    "evaluation_test_cases": [],
    "name": "example name",
    "updated_at": "2023-01-01T00:00:00Z",
    "uuid": "123e4567-e89b-12d3-a456-426614174000"
  }
}

More Information

See /v2/gen-ai/workspaces in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.